import dynamix_sdk.base as _base


class CloudapiBserviceGroupStopResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupStopProtocol(_base.BasePostAPIFunctionProtocol):
    def group_stop(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        force: bool = False,
    ) -> CloudapiBserviceGroupStopResultBool:
        ...
